# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class TrafficCounters(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, return_bytes: int=None, forward_bytes: int=None):  # noqa: E501
        """TrafficCounters - a model defined in Swagger

        :param return_bytes: The return_bytes of this TrafficCounters.  # noqa: E501
        :type return_bytes: int
        :param forward_bytes: The forward_bytes of this TrafficCounters.  # noqa: E501
        :type forward_bytes: int
        """
        self.swagger_types = {
            'return_bytes': int,
            'forward_bytes': int
        }

        self.attribute_map = {
            'return_bytes': 'return_bytes',
            'forward_bytes': 'forward_bytes'
        }
        self._return_bytes = return_bytes
        self._forward_bytes = forward_bytes

    @classmethod
    def from_dict(cls, dikt) -> 'TrafficCounters':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The TrafficCounters of this TrafficCounters.  # noqa: E501
        :rtype: TrafficCounters
        """
        return util.deserialize_model(dikt, cls)

    @property
    def return_bytes(self) -> int:
        """Gets the return_bytes of this TrafficCounters.


        :return: The return_bytes of this TrafficCounters.
        :rtype: int
        """
        return self._return_bytes

    @return_bytes.setter
    def return_bytes(self, return_bytes: int):
        """Sets the return_bytes of this TrafficCounters.


        :param return_bytes: The return_bytes of this TrafficCounters.
        :type return_bytes: int
        """

        self._return_bytes = return_bytes

    @property
    def forward_bytes(self) -> int:
        """Gets the forward_bytes of this TrafficCounters.


        :return: The forward_bytes of this TrafficCounters.
        :rtype: int
        """
        return self._forward_bytes

    @forward_bytes.setter
    def forward_bytes(self, forward_bytes: int):
        """Sets the forward_bytes of this TrafficCounters.


        :param forward_bytes: The forward_bytes of this TrafficCounters.
        :type forward_bytes: int
        """

        self._forward_bytes = forward_bytes
